<?php

namespace App\Entity;

use App\Repository\PendingEditorInvitationRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Table(name:'invitation_editeur_capsule')]
#[ORM\Entity(repositoryClass:PendingEditorInvitationRepository::class)]
class PendingEditorInvitation
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type:'integer')]
    private int $id;

    #[ORM\Column(name:'capsule_id', type:'integer', nullable:false)]
    #[ORM\ManyToOne(targetEntity:'App\Entity\Capsule', inversedBy:'id')]
    #[ORM\JoinColumn(name:'capsule_id', referencedColumnName:'id')]
    private int $capsule_id;

    #[ORM\Column(type:'string', length:255)]
    private string $email;

    public function getId(): int
    {
        return $this->id;
    }

    public function getCapsuleId(): int
    {
        return $this->capsule_id;
    }

    public function setCapsuleId(int $capsule_id): self
    {
        $this->capsule_id = $capsule_id;
        return $this;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function setEmail(string $email): self
    {
        $this->email = $email;
        return $this;
    }
}
