<?php

namespace App\Form;

use App\Entity\Group;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ButtonType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Validator\Constraints\NotBlank;

class CreateCapsuleGroupsFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add(
                'name',
                TextType::class,
                [
                'constraints' => [new NotBlank(['message' => 'group.name.not_blank'])],
                'label' => 'groups.create.name'
                ]
            )
            ->add(
                'validate',
                SubmitType::class,
                ['label' => 'groups.create.validate']
            )
            ->add(
                'go_back',
                ButtonType::class,
                ['label' => 'groups.create.go_back',
                    'attr' => ['class' => 'btn-cancel']
                ]
            );
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Group::class,
        ]);
    }
}
