<?php

namespace App\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\EmailType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\UrlType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;
use Symfony\Component\Validator\Constraints\NotBlank;

class EditVideoUrlFormType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $current_video_url = $options['data']['current_video_url'];

        $builder
            ->add(
                'new_video_url',
                UrlType::class,
                [
                    'constraints' => [new NotBlank(['message' => 'capsule.video_url.not_blank'])],
                    'label' => 'capsule.edit.video_url.text',
                    'data' => $current_video_url
                ]
            )
            ->add(
                'save',
                SubmitType::class,
                ['label' => 'general.save']
            );
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([]);
    }
}
